org.apache.poi.hemf.record.emf

## Class HemfFill

- java.lang.Object
- - org.apache.poi.hemf.record.emf.HemfFill

-     public class HemfFill
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HemfFill.EmfAlphaBlend`
    `static class` | `HemfFill.EmfBitBlt` The EMR_BITBLT record specifies a block transfer of pixels from a source bitmap to a destination rectangle, optionally in combination with a brush pattern, according to a specified raster operation.
    `static class` | `HemfFill.EmfExtFloodFill`
    `static class` | `HemfFill.EmfExtSelectClipRgn`
    `static class` | `HemfFill.EmfFillRgn` The EMR_FILLRGN record fills the specified region by using the specified brush.
    `static class` | `HemfFill.EmfFrameRgn` The EMR_FRAMERGN record draws a border around the specified region using the specified brush.
    `static class` | `HemfFill.EmfInvertRgn` The EMR_INVERTRGN record inverts the colors in the specified region.
    `static class` | `HemfFill.EmfPaintRgn` The EMR_PAINTRGN record paints the specified region by using the brush currently selected into the playback device context.
    `static class` | `HemfFill.EmfSetDiBitsToDevice` The EMR_SETDIBITSTODEVICE record specifies a block transfer of pixels from specified scanlines of a source bitmap to a destination rectangle.
    `static class` | `HemfFill.EmfSetPolyfillMode` The EMR_SETPOLYFILLMODE record defines polygon fill mode.
    `static class` | `HemfFill.EmfStretchBlt` The EMR_STRETCHBLT record specifies a block transfer of pixels from a source bitmap to a destination rectangle, optionally in combination with a brush pattern, according to a specified raster operation, stretching or compressing the output to fit the dimensions of the destination, if necessary.
    `static class` | `HemfFill.EmfStretchDiBits` The EMR_STRETCHDIBITS record specifies a block transfer of pixels from a source bitmap to a destination rectangle, optionally in combination with a brush pattern, according to a specified raster operation, stretching or compressing the output to fit the dimensions of the destination, if necessary.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfFill()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.awt.Shape` | `getRgnShape(java.util.List<java.awt.geom.Rectangle2D> rgnRects)`
    `static int` | `readXForm(LittleEndianInputStream leis, java.awt.geom.AffineTransform xform)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HemfFill

          public HemfFill()

  - ### Method Detail

    - #### readXForm

          public static int readXForm(LittleEndianInputStream leis,
                                      java.awt.geom.AffineTransform xform)

    - #### getRgnShape

          protected static java.awt.Shape getRgnShape(java.util.List<java.awt.geom.Rectangle2D> rgnRects)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.